Mattermost, Inc.

[SOLVED] Cannot remove "babel-plugin-transform-es2015-modules-commonjs" from the plugin list

Hi all,

Having trouble building Mattermost on Ubuntu 14.04 Trusty.

ERROR in ./root.jsx
Module build failed: Error: Cannot remove "babel-plugin-transform-es2015-modules-commonjs" from the plugin list.
    at Object.<anonymous> (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-preset-es2015-webpack/index.js:35:11)
    at Module._compile (module.js:413:34)
    at Object.Module._extensions..js (module.js:422:10)
    at Module.load (module.js:357:32)
    at Function.Module._load (module.js:314:12)
    at Module.require (module.js:367:17)
    at require (internal/module.js:20:19)
    at /root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/options/option-manager.js:391:22
    at Array.map (native)
    at OptionManager.resolvePresets (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/options/option-manager.js:387:20)
    at OptionManager.mergePresets (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/options/option-manager.js:370:10)
    at OptionManager.mergeOptions (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/options/option-manager.js:330:14)
    at OptionManager.init (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/options/option-manager.js:488:10)
    at File.initOptions (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/index.js:223:65)
    at new File (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/file/index.js:140:24)
    at Pipeline.transform (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-core/lib/transformation/pipeline.js:46:16)
    at transpile (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-loader/index.js:14:22)
    at Object.module.exports (/root/go/src/github.com/mattermost/platform/webapp/node_modules/babel-loader/index.js:88:12)
 @ multi main
Child html-webpack-plugin for "root.html":
        + 13 hidden modules

npm ERR! Linux 2.6.32-042stab116.2
npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "run" "build"
npm ERR! node v5.12.0
npm ERR! npm  v3.8.6
npm ERR! code ELIFECYCLE
npm ERR! mattermost-webapp@0.0.1 build: `NODE_ENV=production webpack`
npm ERR! Exit status 2
npm ERR!
npm ERR! Failed at the mattermost-webapp@0.0.1 build script 'NODE_ENV=production webpack'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the mattermost-webapp package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     NODE_ENV=production webpack
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs mattermost-webapp
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls mattermost-webapp
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /root/go/src/github.com/mattermost/platform/webapp/npm-debug.log
make[1]: *** [build] Error 1
make[1]: Leaving directory `/root/go/src/github.com/mattermost/platform/webapp'
make: *** [build-client] Error 2

My npm-debug.log file is as below:

0 info it worked if it ends with ok
1 verbose cli [ '/usr/bin/nodejs', '/usr/bin/npm', 'run', 'build' ]
2 info using npm@3.8.6
3 info using node@v5.12.0
4 verbose run-script [ 'prebuild', 'build', 'postbuild' ]
5 info lifecycle mattermost-webapp@0.0.1~prebuild: mattermost-webapp@0.0.1
6 silly lifecycle mattermost-webapp@0.0.1~prebuild: no script for prebuild, continuing
7 info lifecycle mattermost-webapp@0.0.1~build: mattermost-webapp@0.0.1
8 verbose lifecycle mattermost-webapp@0.0.1~build: unsafe-perm in lifecycle true
9 verbose lifecycle mattermost-webapp@0.0.1~build: PATH: /usr/lib/node_modules/npm/bin/node-gyp-bin:/root/go/src/github.com/mattermost/platform/webapp/node_modules/.bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/go/bin:/root/go/bin
10 verbose lifecycle mattermost-webapp@0.0.1~build: CWD: /root/go/src/github.com/mattermost/platform/webapp
11 silly lifecycle mattermost-webapp@0.0.1~build: Args: [ '-c', 'NODE_ENV=production webpack' ]
12 silly lifecycle mattermost-webapp@0.0.1~build: Returned: code: 2  signal: null
13 info lifecycle mattermost-webapp@0.0.1~build: Failed to exec build script
14 verbose stack Error: mattermost-webapp@0.0.1 build: `NODE_ENV=production webpack`
14 verbose stack Exit status 2
14 verbose stack     at EventEmitter.<anonymous> (/usr/lib/node_modules/npm/lib/utils/lifecycle.js:239:16)
14 verbose stack     at emitTwo (events.js:100:13)
14 verbose stack     at EventEmitter.emit (events.js:185:7)
14 verbose stack     at ChildProcess.<anonymous> (/usr/lib/node_modules/npm/lib/utils/spawn.js:24:14)
14 verbose stack     at emitTwo (events.js:100:13)
14 verbose stack     at ChildProcess.emit (events.js:185:7)
14 verbose stack     at maybeClose (internal/child_process.js:850:16)
14 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:215:5)
15 verbose pkgid mattermost-webapp@0.0.1
16 verbose cwd /root/go/src/github.com/mattermost/platform/webapp
17 error Linux 2.6.32-042stab116.2
18 error argv "/usr/bin/nodejs" "/usr/bin/npm" "run" "build"
19 error node v5.12.0
20 error npm  v3.8.6
21 error code ELIFECYCLE
22 error mattermost-webapp@0.0.1 build: `NODE_ENV=production webpack`
22 error Exit status 2
23 error Failed at the mattermost-webapp@0.0.1 build script 'NODE_ENV=production webpack'.
23 error Make sure you have the latest version of node.js and npm installed.
23 error If you do, this is most likely a problem with the mattermost-webapp package,
23 error not with npm itself.
23 error Tell the author that this fails on your system:
23 error     NODE_ENV=production webpack
23 error You can get information on how to open an issue for this project with:
23 error     npm bugs mattermost-webapp
23 error Or if that isn't available, you can get their info via:
23 error     npm owner ls mattermost-webapp
23 error There is likely additional logging output above.
24 verbose exit [ 1, true ]

Anyone have any ideas as to why on earth this is happening (or, for that matter, how to remedy it)?

Ta

Curtis

1 Like

This issue is fixed as of commit 5e2b4d1282dc374b54ca2c77fbf84c6533ce8519.